This is really Herb adding the SGI packaging files.
authorJeremy Allison <jra@samba.org>
Fri, 5 Sep 1997 02:28:41 +0000 (02:28 +0000)
committerJeremy Allison <jra@samba.org>
Fri, 5 Sep 1997 02:28:41 +0000 (02:28 +0000)
(This used to be commit 8fde65239d0a9462fb044670220cd3c63bd887cb)

18 files changed:
packaging/SGI/Makefile [new file with mode: 0644]
packaging/SGI/README [new file with mode: 0644]
packaging/SGI/inetd.sh [new file with mode: 0755]
packaging/SGI/legal_notice.html [new file with mode: 0644]
packaging/SGI/mkman [new file with mode: 0755]
packaging/SGI/mkprintcap.sh [new file with mode: 0755]
packaging/SGI/mkrelease.sh [new file with mode: 0755]
packaging/SGI/printcap [new file with mode: 0644]
packaging/SGI/psfixes.sed [new file with mode: 0644]
packaging/SGI/relnotes.html [new file with mode: 0644]
packaging/SGI/samba.config [new file with mode: 0644]
packaging/SGI/samba.idb [new file with mode: 0644]
packaging/SGI/samba.rc [new file with mode: 0644]
packaging/SGI/samba.spec [new file with mode: 0644]
packaging/SGI/sambalp [new file with mode: 0644]
packaging/SGI/smb.conf [new file with mode: 0644]
packaging/SGI/smbpasswd [new file with mode: 0644]
packaging/SGI/smbprint [new file with mode: 0644]

diff --git a/packaging/SGI/Makefile b/packaging/SGI/Makefile
new file mode 100644 (file)
index 0000000..8caa9ba
--- /dev/null
@@ -0,0 +1,722 @@
+###########################################################################
+# Makefile for Samba SMB client/server for unix
+# Copyright Andrew Tridgell 1992-1996
+# Copyright John H Terpstra 1995-1997
+###########################################################################
+
+# The base directory for all samba files
+BASEDIR = /usr/samba
+
+# The base manpages directory to put the man pages in
+# Note: $(MANDIR)/man1, $(MANDIR)/man5 and $(MANDIR)/man8 must exist.
+MANDIR = /usr/share/man
+
+# The directories to put things in. If you use multiple
+# architectures or share the samba binaries across NFS then
+# you will probably want to change this layout.
+# Note: The SBINDIR is for files you do not want users to access
+#       normally only applies to nmbd and smbd
+#       SBINDIR implies a secure binary directory
+BINDIR = $(BASEDIR)/bin
+SBINDIR = $(BASEDIR)/bin
+LIBDIR = $(BASEDIR)/lib
+VARDIR = $(BASEDIR)/var
+
+# The permissions to give the executables
+INSTALLPERMS = 0755
+
+# Add any optimisation or debugging flags here
+# add -DSYSLOG for syslog support
+# RPM_OPT_FLAGS is needed when building an RPM distribution package
+# for RedHat Linux.
+# FLAGS1 = $(RPM_OPT_FLAGS)
+FLAGS1 = -O
+LIBS1 = 
+
+# You will need to use a ANSI C compiler. This means under SunOS 4 you can't 
+# use cc, instead you will have to use gcc. 
+# CC = gcc
+
+# This may help with some versions of make
+SHELL = /bin/sh
+
+# The following can be useful for compiling on multiple architectures
+# just uncommment them putting the right directory in.
+# srcdir=./
+# VPATH=$(srcdir)
+
+# set these to where to find various files
+# These can be overridden by command line switches (see smbd(8))
+# or in smb.conf (see smb.conf(5))
+SMBLOGFILE = $(VARDIR)/log.smb
+NMBLOGFILE = $(VARDIR)/log.nmb
+CONFIGFILE = $(LIBDIR)/smb.conf
+LMHOSTSFILE = $(LIBDIR)/lmhosts
+
+# the directory where lock files go
+LOCKDIR = $(VARDIR)/locks
+
+# set this to the default group you want your machine to appear in
+# for browsing. This can also be set in nmbd (see nmbd(8))
+WORKGROUP = WORKGROUP
+
+# set this to the name of the default account, which is the one
+# to use when no username or password is specified.  This can be overridden
+# in the runtime configuration file (see smb.conf(5))
+# NOTE: The account "nobody" may not be a good one as
+# on many unixes it may not be able to print. Thus you
+# might have to create a separate guest account that can print.
+GUESTACCOUNT = nobody
+
+# where you are going to have the smbrun binary. This defaults to the 
+# install directory. This binary is needed for correct printing
+# and magic script execution. This should be an absolute path!
+# Also not that this should include the name "smbrun" on the end (the
+# name of the executable)
+SMBRUN = $(BINDIR)/smbrun
+
+#
+# The following (PAM, AFS, DCE/DFS, Kerberos5, SMB) are the
+# alternate choices for Samba authentication. If you are using
+# the UNIX password database to authenticate users you do not
+# need to uncomment any of them. If you wish to use one of these
+# alternate methods then only uncomment one of them.
+
+# This is for PAM authentication. RedHat Linux uses PAM.
+# If you use PAM, then uncomment the following lines:
+# PAM_FLAGS = -DUSE_PAM
+# PAM_LIBS = -ldl -lpam
+
+# This is for AFS authentication.  If you use AFS then set AFS_BASE 
+# according to your system layout, and uncomment the other lines as well.
+# AFS_BASE = /usr/afsws
+# AFS_FLAGS = -DAFS_AUTH -I$(AFS_BASE)/include
+# AFS_LIBDIR = $(AFS_BASE)/lib
+# NOTE: You may need to add -laudit in the line below
+# AFS_LIBS = -L$(AFS_LIBDIR) -L$(AFS_LIBDIR)/afs -lkauth -lprot -lubik \
+#                -lauth -lrxkad -lsys -ldes -lrx -llwp -lcom_err \
+#                $(AFS_LIBDIR)/afs/util.a
+
+# This is for DCE/DFS enablement. Uncomment this so that smbd can
+# operate as an authenticated user identity to operate on files that
+# live in the DCE Distributed Filesystem.
+# DCE_BASE = /opt/dcelocal
+# DCE_FLAGS = -I$(DCE_BASE)/include
+# DCE_LIBDIR = -L$(DCE_BASE)/lib
+# DCE_LIBS =
+
+# This is for Kerberos 5 authentication. Contributed by Nathan Neulinger
+# Univ. of Missouri - Rolla <nneul@umr.edu>
+# KRB5_BASE = /usr/local/krb5
+# KRB5_FLAGS = -DKRB5_AUTH -I$(KRB5_BASE)/include
+# KRB5_LIBS = -L$(KRB5_BASE)/lib -ldes425 -lkrb5 -lcrypto -lcom_err
+
+# This is for SMB encrypted (lanman) passwords.
+# you may wish to add -DREPLACE_GETPASS if your getpass() is limited
+# to 8 chars
+# DES_BASE=/usr/local/libdes
+# DES_FLAGS= -I$(DES_BASE)
+# DES_LIB= -L$(DES_BASE) -ldes
+# PASSWD_FLAGS=-DUSE_LIBDES -DSMB_PASSWD=\"$(BINDIR)/smbpasswd\" -DSMB_PASSWD_FILE=\"$(BASEDIR)/private/smbpasswd\"
+
+######################################
+# VTP-Support
+#
+# uncomment the following two lines to enable VTP-Support
+#VTP_FLAGS = -DWITH_VTP
+#VTP_OBJ = vt_mode.o
+######################################
+
+######################################
+# WHICH AWK? awk is used for automatic prototype generation. GNU awk works
+# where inferior awks don't. Sun is one manufacturer who supplies both
+# a broken awk called 'awk' and a fixed one called 'nawk'. mkproto.awk will
+# only work with the latter, and even that isn't as good as free GNU awk.
+#
+# Leave this uncommented; the OS-specific stuff will override it if required
+AWK = awk
+######################################
+
+#####################################
+# WHICH OPERATING SYSTEM?
+# UNCOMMENT ONE OF THE SECTIONS BELOW
+# MAKE SURE ONLY *ONE* IS UNCOMMENTED
+#
+# The following are additional flags that may apply
+#   -DNETGROUP if your machine supports yp netgroups
+#   -DAUTOMOUNT to ask for yp auto.home for users' home directories
+#   -DSHADOW_PWD if you are using shadow passwords
+#   -DGETPWANAM if you wish to use getpwanam() call
+#   -DPWDAUTH if you have and want to use the pwdauth() call
+#   -DUFC_CRYPT if you want the fast crypt routine
+#   -DALLOW_CHANGE_PASSWORD if you want users to be able to set their password
+#                           remotely (only works on some systems)
+#   -DQUOTAS for quota support in disk_free(). This probably only works 
+#            on some systems.
+#   -DFAST_SHARE_MODES if you want the fast shared memory instead of the
+#                      slow description files for share mode locking. This
+#                      requires the mmap() and fcntl() system calls.
+#
+#    NOTE: GETPWANAM & PWDAUTH are mutually exclusive, if you
+#          Define one, you should NOT define the other.
+#####################################
+
+#####################################
+# for the JAPANESE EXTENSION
+# select filename's code set for KANJI/KANA in UNIX,
+# apply the following flag
+#   -DKANJI=\"<code>\"
+#        <code> is select character code set for JAPAN.
+#             sjis:   if your machine support SJIS
+#             euc:      if your machine support EUC
+#             jis7:     if your machine support JIS7
+#             jis8:     if your machine support JIS8
+#             junet:    if your machine support jis7 + junet rule
+#             hex:      if your machine only support 7 bits ascii filename only
+#                       convert to hexdecimal code preseeding ':'.
+# see also README.jis
+######################################
+
+
+# This is for SUNOS 4. Use the SUNOS5 entry for Solaris 2.
+# Note that you cannot use Suns "cc" compiler
+# as it's not an Ansi-C compiler. Get gcc or acc. 
+# Note that if you have adjunct passwords you may need the GETPWANAM 
+# or PWDAUTH option. There have been reports that using PWDAUTH may crash
+# your pwdauthd server so GETPWANAM is preferable (and probably faster)
+# contributed by Andrew.Tridgell@anu.edu.au
+# FLAGSM = -DSUNOS4
+# LIBSM =   
+# AWK = nawk 
+
+# Use this for Linux with shadow passwords
+# contributed by Andrew.Tridgell@anu.edu.au
+# add -DLINUX_BIGCRYPT is you have shadow passwords but don't have the
+# right libraries and includes
+# FLAGSM = -DLINUX -DSHADOW_PWD -DFAST_SHARE_MODES
+# LIBSM = -lshadow
+
+# Use this for Linux without shadow passwords
+# contributed by Andrew.Tridgell@anu.edu.au
+# AXPROC defines DEC Alpha Processor
+# FLAGSM = -DLINUX -DAXPROC -DFAST_SHARE_MODES
+# FLAGSM = -DLINUX -DFAST_SHARE_MODES
+# LIBSM = 
+
+# Use this for Linux with shadow passwords and quota
+# contributed by xeno@mix.hive.no
+# Tested on the 1.3.57 kernel and ext2fs filesystem.
+# Notes:
+# /usr/include/sys/quota.h must be a symlink to /usr/include/linux/quota.h
+# The directory quota here must be a symlink to your quota package.
+# I just do 'ln -sf /usr/src/quota-1.50 quota' in this directory to get it to work.
+# FLAGSM = -O3 -m486 -DLINUX -DSHADOW_PWD -DQUOTAS -DFAST_SHARE_MODES
+# LIBSM = -lshadow
+
+# Use this for Linux with quota and glibc2
+# contributed by Thorvald Natvig <slicer@bimbo.hive.no>
+# Tested on the 2.0.30 kernel and ext2fs filesystem.
+# FLAGSM = -DLINUX -DQUOTAS -DNO_ASMSIGNALH -DGLIBC2 -DFAST_SHARE_MODES
+# LIBSM = -L/lib/libc5-compat -lcrypt
+
+# This is for SUNOS5.4 and later (also known as Solaris 2.4 and later)
+# contributed by Andrew.Tridgell@anu.edu.au
+# FLAGSM = -DSUNOS5 -DSHADOW_PWD -DNETGROUP -DFAST_SHARE_MODES
+# LIBSM = -lsocket -lnsl
+# AWK = nawk 
+
+# This is for SUNOS 5.2 and 5.3 (also known as Solaris 2.2 and 2.3)
+# contributed by hdsi@newtech.net
+# FLAGSM = -DSUNOS5 -DSHADOW_PWD -DNETGROUP -DNO_STRFTIME -DFAST_SHARE_MODES
+# LIBSM = -lsocket -lnsl
+# AWK = nawk 
+
+# This is for UXP/DS
+# contributed by dsfrost@oai6.yk.fujitsu.co.jp
+# FLAGSM = -DSVR4 -DSHADOW_PWD
+# LIBSM = -lsocket -lnsl
+
+# This is for SVR4
+# Contributed by mark@scot1.ucsalf.ac.uk
+# FLAGSM = -DSVR4 -DSHADOW_PWD -DALLOW_CHANGE_PASSWORD
+# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb
+
+
+# This is for the Motorola 88xxx/9xx range of machines
+# Contributed by RPE@monnet.com
+# FLAGSM = -DSVR4 -DSHADOW_PWD -DGETTIMEOFDAY1
+# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb
+
+
+# This is for UnixWare 1.x.
+# Contributed by Warren Young <tkennedy@cyberport.com>
+#FLAGSM = -Xa -DSVR4 -DSHADOW_PWD
+#LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb
+
+# This is for UnixWare 2.x WITH libdes support.
+# Contributed by tangent@cyberport.com
+#FLAGSM = -Xa -DSVR4
+#LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb
+
+# This is for UnixWare 2.x WITHOUT libdes support.
+# Contributed by tangent@cyberport.com
+#FLAGSM = -Xa -DSVR4 -DIA_UINFO
+#LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb -lcrypt -liaf
+
+# This is for UNIXWARE 2.x with shadow passwords.
+# Contributed by fja@extratech.com
+#FLAGSM = -Xa -DSVR4 -DSHADOW_PWD
+#LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb -lcrypt -lgen
+
+# This is for ULTRIX. Add -DULTRIX_AUTH for Ultrix enhanced security.
+# contributed by iversen@dsfys1.fi.uib.no
+# FLAGSM = -DULTRIX
+# LIBSM =   
+
+
+# This is for OSF1 (Alpha)
+# contributed by errath@balu.kfunigraz.ac.at
+# NOTE: You may need -warning_unresolved if you get unresolved symbols
+# FLAGSM = -DOSF1
+# LIBSM =
+
+# This is for OSF1 with DCE/DFS
+# contributed by Jim Doyle <doyle@oec.com>
+# FLAGSM = -DOSF1 -DDFS_AUTH -DSIGCLD_IGNORE -DNO_SIGNAL_TEST
+# LIBSM = -ldce -lpthreads -lmach -lc_r
+
+# This is for OSF1 (Alpha) with NIS and Fast Crypt
+# contributed by David Gardiner <dgardine@cssip.edu.au>
+# FLAGSM = -DOSF1 -DNETGROUP -DUFC_CRYPT
+# LIBSM =
+
+
+# This is for OSF1 (Alpha) V2.0 Enhanced Security 
+# contributed by Udo Linauer <ul@eacpc4.tuwien.ac.at>
+# FLAGSM = -DOSF1 -DOSF1_ENH_SEC
+# LIBSM = -lsecurity
+
+
+# This is for AIX 4.x
+# contributed by tomc@osi.curtin.edu.au
+# FLAGSM = -DAIX -DFAST_SHARE_MODES
+# LIBSM =   
+
+# This is for AIX 4.x with quota support
+# contributed by tomc@osi.curtin.edu.au
+# FLAGSM = -DAIX -DFAST_SHARE_MODES -DQUOTAS
+# LIBSM =   
+
+# This is for AIX 3.2.5 with DCE/DFS
+# contributed by Jim Doyle <doyle@oec.com>
+# FLAGSM = -DAIX -DDFS_AUTH -DSIGCLD_IGNORE -DNO_SIGNAL_TEST
+# LIBSM = -lc_r -ldce -lpthreads
+# CC = cc_r
+
+# This is for BSDI 
+# contributed by tomh@metrics.com
+# versions of BSDI prior to 2.0 may need to add -DUSE_F_FSIZE for 
+# disk usage stats to be correct
+# FLAGSM = -DBSDI -DFAST_SHARE_MODES
+# LIBSM =   
+
+
+# This is for NetBSD. Add -DNETBSD_1_0 if you are using 1.0
+# contributed by noses@oink.rhein.de
+# FLAGSM = -DNETBSD -DSHADOW_PWD
+# LIBSM = -lcrypt 
+
+
+# This is for SEQUENT. 
+# Contributed by fwk@ix.netcom.com (Frank Keeney) and 
+# rpwillia@Pentagon-EMH6.army.mil (Ray Williams)
+# tested on DYNIX/ptx(R) V2.1.0
+# FLAGSM = -DSEQUENT -DSHADOW_PWD -DHAVE_TIMEZONE
+# LIBSM = -lrpc -lsocket -lPW -linet -lnsl -lseq -lsec
+
+
+# This is for SEQUENT PTX 4.1.x
+# Contributed by bressler@iftccu.ca.boeing.com (Rick Bressler)
+# based on Keeny and Williams contribution.
+# tested on DYNIX/ptx(R) V4.1.3
+# FLAGSM = -DSEQUENT -DSHADOW_PWD -DHAVE_TIMEZONE -DPTX4
+# LIBSM = -lrpc -lsocket -lPW -lnsl -lseq -lsec
+
+
+# This is for HP-UX. Note that some systems don't like the -Aa switch.
+# contributed by Pasi.Kaara@atk.tpo.fi
+# You will need -DREPLACE_GETPASS if you use smb encryption
+# Add -DHPUX10 if compiling on HPUX 10.x
+# FLAGSM = -DHPUX -Aa -D_HPUX_SOURCE -D_POSIX_SOURCE
+# LIBSM = 
+
+# This is for HP-UX with DCE/DFS
+# contributed by Jim Doyle <doyle@oec.com>
+# Add -DHPUX10 if compiling on HPUX 10.x
+# FLAGSM = -DHPUX -Aa -D_HPUX_SOURCE -D_POSIX_SOURCE -DDFS_AUTH -D_REENTRANT -I/usr/include/reentrant
+# LIBSM = -ldce -lM -lc_r
+
+# HP-UX 10.x Trusted System
+# Contributed by David-Michael Lincke (dlincke@sgcl1.unisg.ch)
+# FLAGSM = +O3 -Ae -DHPUX -DHPUX10 -DHPUX_10_TRUSTED
+# LIBSM = -lsec
+
+
+# This is for SGI.
+# contributed by lpc@solomon.technet.sg (Michael Chua)
+# FOR SGI IRIX 4.x.x, use the following line
+# FLAGSM = -DSGI -DHAVE_TIMEZONE 
+# LIBSM = -lsun
+
+# FOR SGI IRIX 5.x.x, use this line instead
+# FLAGSM = -DSGI5 -DSHADOW_PWD -DHAVE_TIMEZONE -DFAST_SHARE_MODES
+# LIBSM =
+
+# FOR SGI IRIX 6.2 using the system compiler (*NOT* gcc), use this line instead
+# Contributed by David.Billinghurst@restech.cra.com.au
+FLAGSM = -DSGI5 -DSHADOW_PWD -DHAVE_TIMEZONE -DFAST_SHARE_MODES
+LIBSM = 
+FLAGS1 = -O -n32 -g3
+
+# This is for FreeBSD
+# contributed by kuku@acds.physik.rwth-aachen.de
+# NOTE: You may need to add -DBSD44 if you have password problems
+# FLAGSM = -DFreeBSD -DFAST_SHARE_MODES
+# LIBSM = -lcrypt 
+
+
+# This is for NEXTSTEP Release 2.X
+# No Posix.
+# contributed by brad@cac.washington.edu (Brad Greer)
+# FLAGSM = -DNEXT2 
+# LIBSM = 
+
+# This is for NEXTSTEP Release 3.0 and greater (including OPENSTEP for Mach).
+# contributed by brad@cac.washington.edu (Brad Greer)
+# additional configuration by pmarcos@next.com (Paul Marcos)
+# For compiling n-way fat executables, you should append the appropriat -arch 
+# flags to the FLAGSM variable.  Valid flags are:
+#    -arch m68k
+#    -arch i386
+#    -arch hppa
+#    -arch sparc
+# To compile 4-way fat, you would append
+#    -arch m68k -arch i386 -arch hppa -arch sparc
+# FLAGSM = -DNEXT3_0
+# LIBSM = 
+
+
+# NOTE: ISC is also known as "INTERACTIVE"
+# This is for Sunsoft ISC SVR3V4 running in POSIX mode
+# contributed by pim@cti-software.nl (Pim Zandbergen)
+# FLAGSM = -posix -D_SYSV3 -DISC -DSHADOW_PWD
+# LIBSM = -lsec -lcrypt -linet
+
+# This is for Sunsoft ISC SVR3V4 running in iBCS2 mode
+# contributed by pim@cti-software.nl (Pim Zandbergen)
+# FLAGSM = -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_SYSV3\
+#          -DISC -DSHADOW_PWD -DREPLACE_GETWD -DREPLACE_RENAME
+# LIBSM = -lsec -lcrypt -linet -lcposix
+
+
+# This is for A/UX 3.0
+# Contributed by root@dolphin.csudh.edu (Jon S. Stevens)
+# FLAGSM = -DAUX
+# LIBSM =
+
+# This is for Altos Series 386/1000
+# Contributed by cal@zls.com
+# FLAGSM = -DALTOS -DHAS_RDCHK
+# LIBSM = -lsocket -lxenix
+
+
+#Note: The SCO entries require the libcrypt library. You can get it via
+#anonymous ftp from ftp.sco.com:/SLS/lng225b.* or ftp.uu.net:/vendors/sco
+#
+# Use this for SCO with shadow passwords. Tested on "Open enterprise 3.0"
+# SCO changes from Heinz Mauelshagen (mauelsha@ez.da.telekom.de)
+# FLAGSM = -DSCO -DSHADOW_PWD -DNETGROUP
+# LIBSM = -lyp -lrpc -lyp -lsec -lsocket -lcrypt_i -lintl
+
+# Use this for SCO with shadow passwords, without YP.
+# Tested on "Open Enterprise Server 3.0" (John Owens john@micros.com)
+# Also, use "CC = cc" above.
+# FLAGSM = -DSCO -DSHADOW_PWD
+# LIBSM = -lsec -lsocket -lcrypt_i
+
+# Use this for SCO with TCB passwords (default).
+# Tested on "Open enterprise 3.0". Contributed by lance@fox.com.
+# CC     = cc
+# FLAGSM = -DSCO -DSecureWare
+# LIBSM  = -lprot_s -lcrypt -lsocket -lm -lc_s
+
+# Use this for SCO Unix 3.2v2 (ODT 1.1) with TCB passwords (default).
+# Contributed by Stephen.Rothwell@pd.necisa.oz.au
+# N.B. this needs gcc
+# FLAGSM = -DSCO -DSecureWare -DSCO3_2_2
+# LIBSM  = -lprot -lcrypt_i -lsocket -lm -lintl
+
+# This is for the european distribution of SCO. 
+# Contributed by Urmet.Janes@gwhite.goodwin.ee
+# FLAGSM = -DSCO -DSHADOW_PWD 
+# LIBSM = -lsec -lsocket /usr/lib/libcrypt_i.a -lintl
+
+# Use this for SCO OpenServer 5 with TCB passwords (default).
+# contributed by Scott Michel <scottm@intime.intime.com>
+# you may also like to add the -dy switch (recommended by Marnus van 
+# Niekerk, mvn@pixie.co.za)
+# CC     = cc -Xc
+# FLAGSM = -DSCO -DSecureWare -DEVEREST -DUSE_MMAP
+# LIBSM  = -lprot -lcurses -lcrypt -lsocket -lPW -lm -lx -lc_s -lc
+
+
+# This is for intergraph. 
+# contributed by cjkiick@flinx.b11.ingr.com
+# modified by ttj@sknsws61.sjo.statkart.no
+# FLAGSM = -DCLIX -D_INGR_EXTENSIONS=1
+# LIBSM = -lbsd -lc_s
+
+# This is for DGUX. 
+# Contributed by ross@augie.insci.com (Ross Andrus)
+# FLAGSM = -DDGUX 
+# LIBSM  = 
+
+# This is for DGUX on Intel boxes.
+# Contributed by tim@denmantire.com
+# FLAGSM = -DDGUX 
+# LIBSM  = -lsocket -lnsl -lresolv
+
+# This is for Apollo Domain/OS sr10.3 (systype = BSD4.3)
+# Added 1994-07-08 Stephen C. Steel <steve@qv3donald.LeidenUniv.nl>
+# additional patches by jmi@csd.cri.dk (John Mills)
+# you may need the "-A ansi" switch to cc
+# FLAGSM = -DAPOLLO -D_INCLUDE_BSD_SOURCE -D_INCLUDE_XOPEN_SOURCE
+# LIBSM =
+
+
+# RiscIX. 
+# contributed by Jim Barry <jim@ilp.com> and 
+# Charles Gay-Jones <charlie@ilp.com>
+# FLAGSM = -DRiscIX -DNOSTRDUP
+# LIBSM =
+
+
+# This is for System V with some berkely extensions (Motorola 88k R32V3.2).
+# contributed by tonyb@plaza.ds.adp.com (Tony D. Birnseth)
+# FLAGSM = -DM88K_R3
+# LIBSM = -lgen -lbsd -lnsl
+
+
+# This is for DNIX.
+# contributed by Peter Olsson <pol@leissner.se>
+# NOTE: You may need an updated libc.a from your vendor as older
+# versions have broken mktime calls and no initgroups() call
+# NOTE2: You may need -lpasswd if you use shadow passwords
+# NOTE3: Please read the file DNIX.txt in the docs directory. It
+# contains important information about uid handling under DNIX, you may
+# need to patch your C library.
+# FLAGSM = -DDNIX -I/usr/include/bsd
+# LIBSM = -ln
+
+
+# This is for Cray, Unicos 8.0
+# contributed by velo@sesun3.epfl.ch (Martin Ouwehand)
+# FLAGSM = -DCRAY -U__STDC__ -DQUOTAS
+# LIBSM =
+
+# This is for Convex
+# contributed by Victor Balashov <balashov@cv.jinr.dubna.su>
+# and Ulrich Hahn <ulrich.hahn@zdv.uni-tuebingen.de>
+# FLAGSM= -DCONVEX -DSHADOW_PWD
+# LIBSM= 
+
+# This is for SMP_DC.OSx v1.1-94c079 on Pyramid S series
+# contributed by jeffrey@itm.org
+# FLAGSM = -DSOLARIS -DSHADOW_PWD -DBSD_COMP
+# LIBSM = -lsocket -lnsl
+
+# This is for QNX 4.22
+# Contributed by eldo@invisa.satlink.net (Eldo Loguzzo)
+# FLAGSM = -DQNX -DGUEST_SESSSETUP=1
+# LIBSM =
+
+
+# This is for SONY NEWS, NEWS-OS 4.2.x
+# contributed by sky@sm.sony.co.jp (Katushi Sato)
+# FLAGSM = -DNEWS42 -DKANJI=\"sjis\"
+# LIBSM =
+
+
+# This is for SONY NEWS, NEWS-OS 6.1.x
+# contributed by kobo@sm.sony.co.jp (Yoichi Kobori)
+# FLAGSM = -Xa -DSVR4 -DNEWS61 -DSHADOW_PWD -DNETGROUP -DGETTIMEOFDAY1 -DKANJI=\"euc\"\ -D_SONYILS_H
+# LIBSM = -lsocket -lnsl
+
+
+# This is for OS/2 using EMX 
+# Contributed by jasonr@pec.co.nz (Jason Rumney)
+# Now maintained by Jacco de Leeuw <leeuw@wins.uva.nl>
+# FLAGSM = -DOS2
+# LIBSM = -Zexe -lsocket
+
+
+# This is for LYNX 2.3.0 (gcc v2.6)
+# Contributed by woelfel@hpe.fzk.de (Manfred Woelfel)
+# FLAGSM = -DLYNX -DUFC_CRYPT -mposix
+# LIBSM = -lbsd
+
+
+# This is for MachTen (a unix like system for Macintoshes)
+# contributed by Trevor Strohman (trev@figment.tenon.com)
+# FLAGSM = -DMACHTEN
+# LIBSM =
+
+
+# RISCOs 5.0B
+# contributed by John Agnew <johna@bfs.Unibol.COM>
+# FLAGSM = -systype svr4 -std -DSVR4
+# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb
+
+
+# This is for B.O.S. (Bull Operating System)
+# Contributed by koine@fileita.it
+# FLAGSM = -DBOS -DNO_RESOURCEH -DUSE_WAITPID
+# LIBSM = -linet
+
+
+# This for Amiga using GCC and ixemul.library 43.0 or later.
+# contributed by Rask Ingemann Lambertsen <rask@k4315.kampsax.dtu.dk>
+# The binaries will support both AmiTCP and AS225R2 compatible
+# protocol stacks because of the use of ixnet.library.
+# Other protocol stacks will be supported automatically if
+# support for them is added to ixnet.library.
+# The binaries will have automatic stack extension :-)
+# smbd must be run from inetd :-(
+# FLAGSM = -DAMIGA -Dfork=vfork -mstackextend
+# LIBSM =
+
+
+
+######################################################################
+# DON'T EDIT BELOW THIS LINE
+######################################################################
+
+CFLAGS1 = $(FLAGS1) -DSMBLOGFILE=\"$(SMBLOGFILE)\" -DNMBLOGFILE=\"$(NMBLOGFILE)\"
+CFLAGS2 = -DCONFIGFILE=\"$(CONFIGFILE)\" -DLMHOSTSFILE=\"$(LMHOSTSFILE)\" 
+CFLAGS3 = -DLOCKDIR=\"$(LOCKDIR)\" -DSMBRUN=\"$(SMBRUN)\"
+CFLAGS4 = -DWORKGROUP=\"$(WORKGROUP)\" -DGUEST_ACCOUNT=\"$(GUESTACCOUNT)\" 
+CFLAGS5 = $(CFLAGS1) $(CFLAGS2) $(CFLAGS3) $(CFLAGS4) $(FLAGSM) $(AFS_FLAGS) $(KRB5_FLAGS)
+CFLAGS  = $(CFLAGS5) $(PAM_FLAGS) $(DCE_FLAGS) $(DES_FLAGS) $(PASSWD_FLAGS) $(VTP_FLAGS)
+LIBS = $(LIBS1) $(LIBSM) $(PAM_LIBS) $(DCE_LIBS) $(KRB5_LIBS) $(DES_LIB)
+
+SPROGS = smbd nmbd
+PROGS1 = smbclient testparm testprns smbrun smbstatus smbpasswd 
+PROGS = $(PROGS1) nmblookup
+SCRIPTS = smbtar addtosmbpass
+
+all : CHECK $(SPROGS) $(PROGS) 
+
+CHECK :
+       @$(SHELL) $(srcdir)checkos.sh $(FLAGSM)
+       @echo "Using CFLAGS = $(CFLAGS)"
+       @echo "Using LIBS = $(LIBS)"
+
+INCLUDES1 = version.h local.h includes.h smb.h 
+INCLUDES2 = trans2.h 
+INCLUDES = $(INCLUDES1) $(INCLUDES2)
+
+UTILOBJ1 = util.o system.o charset.o kanji.o fault.o smbencrypt.o charcnv.o
+UTILOBJ2 = $(UTILOBJ1) md4.o loadparm.o params.o pcap.o username.o time.o
+UTILOBJ = $(UTILOBJ2) interface.o replace.o
+PARAMOBJ = $(UTILOBJ) ufc.o smbpass.o access.o shmem.o
+SMBDOBJ1 = $(PARAMOBJ) trans2.o pipes.o message.o dir.o printing.o locking.o
+SMBDOBJ2 = ipc.o reply.o mangle.o chgpasswd.o password.o quotas.o uid.o
+SMBDOBJ = predict.o $(SMBDOBJ1) $(SMBDOBJ2) $(VTP_OBJ)
+NMBDOBJ1 = nmblib.o namepacket.o nameresp.o nmbsync.o nameannounce.o nameelect.o
+NMBDOBJ2 = namedbresp.o namedbwork.o namedbserver.o namedbsubnet.o namedbname.o 
+NMBDOBJ3 = nameservresp.o nameservreply.o namelogon.o namebrowse.o namework.o nameserv.o clientutil.o
+NMBDOBJ = $(UTILOBJ) $(NMBDOBJ1) $(NMBDOBJ2) $(NMBDOBJ3)
+.SUFFIXES:
+.SUFFIXES: .c .o .h
+
+.c.o: $(INCLUDES)
+       @echo Compiling $*.c
+       @$(CC) $(CFLAGS) -c $(srcdir)$*.c
+
+smbd: server.o $(SMBDOBJ)
+       @echo Linking smbd
+       @$(CC) $(CFLAGS) -o smbd server.o $(SMBDOBJ) $(LIBS) $(AFS_LIBS)
+
+smbrun: smbrun.o
+       @echo Linking smbrun
+       @$(CC) $(CFLAGS) -o smbrun smbrun.o $(LIBS)
+
+nmblookup: nmblookup.o namequery.o nmblib.o $(UTILOBJ)  
+       @echo Linking nmblookup
+       @$(CC) $(CFLAGS) -o nmblookup nmblookup.o namequery.o nmblib.o $(UTILOBJ) $(LIBS)
+
+nmbd: nmbd.o $(NMBDOBJ)
+       @echo Linking nmbd
+       @$(CC) $(CFLAGS) -o nmbd nmbd.o $(NMBDOBJ) $(LIBS)
+
+smbclient: client.o clitar.o getsmbpass.o namequery.o nmblib.o $(UTILOBJ) 
+       @echo Linking smbclient
+       @$(CC) $(CFLAGS) -o smbclient client.o clitar.o getsmbpass.o namequery.o nmblib.o $(UTILOBJ) $(LIBS)
+
+smbstatus: status.o $(PARAMOBJ) 
+       @echo Linking smbstatus
+       @$(CC) $(CFLAGS) -o smbstatus status.o $(PARAMOBJ) $(LIBS)
+
+testparm: testparm.o $(PARAMOBJ)
+       @echo Linking testparm
+       @$(CC) $(CFLAGS) -o testparm testparm.o $(PARAMOBJ) $(LIBS)
+
+testprns: testprns.o $(PARAMOBJ)
+       @echo Linking testprns
+       @$(CC) $(CFLAGS) -o testprns testprns.o $(PARAMOBJ) $(LIBS)
+
+smbpasswd: smbpasswd.o getsmbpass.o $(PARAMOBJ)
+       @echo Linking smbpasswd
+       @$(CC) $(CFLAGS) -o smbpasswd smbpasswd.o getsmbpass.o $(PARAMOBJ) $(LIBS)
+
+install: installbin installman installscripts
+
+installbin: all
+       @$(SHELL) $(srcdir)installbin.sh $(INSTALLPERMS) $(BASEDIR) $(SBINDIR) $(LIBDIR) $(VARDIR) $(SPROGS)
+       @$(SHELL) $(srcdir)installbin.sh $(INSTALLPERMS) $(BASEDIR) $(BINDIR) $(LIBDIR) $(VARDIR) $(PROGS)
+
+installscripts:
+       @$(SHELL) $(srcdir)installscripts.sh $(INSTALLPERMS) $(BINDIR) $(SCRIPTS)
+
+# revert to the previously installed version
+revert:
+       @$(SHELL) $(srcdir)revert.sh $(SBINDIR) $(SPROGS) $(SCRIPTS)
+       @$(SHELL) $(srcdir)revert.sh $(BINDIR) $(PROGS) $(SCRIPTS)
+
+installman:
+       @$(SHELL) $(srcdir)installman.sh $(MANDIR) $(srcdir)
+
+uninstall: uninstallman uninstallbin uninstallscripts
+
+uninstallman:
+       @$(SHELL) $(srcdir)uninstallman.sh $(MANDIR) $(srcdir)
+
+uninstallbin:
+       @$(SHELL) $(srcdir)uninstallbin.sh $(INSTALLPERMS) $(BASEDIR) $(SBINDIR) $(LIBDIR) $(VARDIR) $(SPROGS)
+       @$(SHELL) $(srcdir)uninstallbin.sh $(INSTALLPERMS) $(BASEDIR) $(BINDIR) $(LIBDIR) $(VARDIR) $(PROGS)
+
+uninstallscripts:
+       @$(SHELL) $(srcdir)uninstallscripts.sh $(INSTALLPERMS) $(BINDIR) $(SCRIPTS)
+
+clean:
+       rm -f core *.o *~ $(PROGS) $(SPROGS)
+
+cleandir:  clean
+       rm -f .depend tags
+
+proto:
+       @$(SHELL) $(srcdir)checkos.sh $(FLAGSM)
+       $(AWK) -f mkproto.awk *.c > proto.h
+
+realclean: clean
+
diff --git a/packaging/SGI/README b/packaging/SGI/README
new file mode 100644 (file)
index 0000000..4b174b3
--- /dev/null
@@ -0,0 +1,38 @@
+This directory contains sample files for using Samba on an IRIX
+system.  These were taken from a system running IRIX 6.2.  The
+client machines were running Win95 and connected via the Ethernet
+using TCP/IP and DNS.  Consult the Samba documentation for tips
+on configuring Samba "properly"; this smb.conf file is very simple.
+Consult the Microsoft help/documentation to understand how to
+configure the networking support on the PC clients (Win95, WfW,
+etc.).
+
+This distribution is configured so that various Samba configuration,
+binary, and log files are placed in the /usr/samba file hierarchy.
+Man pages are placed in the /usr/share/catman/u_man hierarchy.
+
+The version number of the distribution is a 10 digit number that
+is created from the samba version number plus a release number.
+Each section of the samba version number forms 2 digits of the
+version number (with leading zeros if necessary).
+
+samba version 1.9.16   first release would become  0109160000
+samba version 1.9.16p9 first release would become  0109160900
+samba version 1.9.16p9 second release would become 0109160901
+
+You can enable all printers on your system to be used by samba
+by running the script /usr/samba/mkprintcap.sh
+
+This distribution automatically configures samba to run as deamons
+by the script /etc/init.d/samba and the file /etc/config/samba 
+(used by chkconfig). If you would prefer to have samba started by 
+inetd you can run the script /usr/samba/inetd.sh. 
+
+To create a Samba distribution you must have the Documenter's WorkBench
+package installed to format the manual pages. In addition you need
+to have the Software Packager software (inst_dev) installed to
+generate the inst images.
+
+From /usr/samba/packaging/SGI directory run the mkrelease.sh script. 
+The package files will be placed in ./bins
+
diff --git a/packaging/SGI/inetd.sh b/packaging/SGI/inetd.sh
new file mode 100755 (executable)
index 0000000..8c4c6cb
--- /dev/null
@@ -0,0 +1,29 @@
+#! /bin/sh
+#
+# kill any running samba processes
+#
+/etc/killall smbd nmbd
+chkconfig samba off
+
+#
+# add SAMBA deamons to inetd.conf
+#
+cp /etc/inetd.conf /etc/inetd.O
+sed -e "/^netbios/D" -e "/^#SAMBA/D" /etc/inetd.O > /etc/inetd.conf
+echo '#SAMBA services' >> /etc/inetd.conf
+echo netbios-ssn stream tcp  nowait  root    /usr/samba/bin/smbd smbd  >> /etc/inetd.conf
+echo netbios-ns  dgram udp   wait    root    /usr/samba/bin/nmbd nmbd -S >> /etc/inetd.conf
+
+#
+# add SAMBA service ports to /etc/services
+#
+cp /etc/services /etc/services.O
+sed -e "/^netbios/D" -e "/^#SAMBA/D" /etc/services.O > /etc/services
+echo '#SAMBA services' >> /etc/services
+echo 'netbios-ns       137/udp                         # SAMBA' >> /etc/services
+echo 'netbios-ssn      139/tcp                         # SAMBA' >> /etc/services
+
+#
+# restart inetd to start SAMBA
+#
+/etc/killall -HUP inetd
diff --git a/packaging/SGI/legal_notice.html b/packaging/SGI/legal_notice.html
new file mode 100644 (file)
index 0000000..fdb7645
--- /dev/null
@@ -0,0 +1,53 @@
+<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
+<HTML VERSION="2.0">
+<HEAD>
+<TITLE>Silicon Graphics Freeware Legal Notice</TITLE>
+</HEAD>
+
+<BODY>
+<H1><A NAME="LEGAL">Silicon Graphics Freeware Legal Notice</A></H1>
+<HR>
+Copyright 1995, Silicon Graphics, Inc. -- ALL RIGHTS RESERVED
+<P>
+You may copy, modify, use and distribute this software, (i)
+provided that you include the entirety of this reservation of
+rights notice in all such copies, and (ii) you comply with any
+additional or different obligations and/or use restrictions
+specified by any third party owner or supplier of the software
+in other notices that may be included with the software.
+
+<P>
+SGI DISCLAIMS ALL WARRANTIES WITH RESPECT TO THIS SOFTWARE,
+EXPRESS, IMPLIED, OR OTHERWISE, INCLUDING WITHOUT LIMITATION,
+ALL WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
+PURPOSE OR NONINFRINGEMENT. SGI SHALL NOT BE LIABLE FOR ANY
+SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING,
+WITHOUT LIMITATION, LOST REVENUES, LOST PROFITS, OR LOSS OF
+PROSPECTIVE ECONOMIC ADVANTAGE, RESULTING FROM THE USE OR MISUSE
+OF THIS SOFTWARE.
+
+<P>
+U.S. GOVERNMENT RESTRICTED RIGHTS LEGEND:
+
+<P>
+
+Use, duplication or disclosure by the Government is subject to
+restrictions as set forth in FAR 52.227.19(c)(2) or subparagraph
+(c)(1)(ii) of the Rights in Technical Data and Computer Software
+clause at DFARS 252.227-7013 and/or in similar or successor
+clauses in the FAR, or the DOD or NASA FAR Supplement.
+Unpublished - rights reserved under the Copyright Laws of United
+States. Contractor/manufacturer is Silicon Graphics, Inc., 2011
+N. Shoreline Blvd. Mountain View, CA 94039-7311.
+
+<H3><A NAME="SUPPORT">Product Support</A></H3>
+
+<P>
+Freeware products are not supported by Silicon Graphics or any
+of its support providers. The software contained in this package
+is made available through the generous efforts of their authors.
+Although they are interested in your feedback, they are under no
+obligation to address bugs, enhancements, or answer questions.
+
+</BODY>
+</HTML>
diff --git a/packaging/SGI/mkman b/packaging/SGI/mkman
new file mode 100755 (executable)
index 0000000..fedeb4d
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if [ ! -d catman ]; then
+   mkdir catman
+fi
+
+# if you wish to make html versions of the man pages then uncomment
+# the following section and the "rman" command below
+#
+# if [ ! -d html ]; then
+#    mkdir html
+# fi
+
+FILES="*.?"
+
+cd ../../docs
+for FILE in  $FILES ; do
+   neqn $FILE | tbl | nroff -man > ../packaging/SGI/catman/`basename $FILE`
+   compress -f ../packaging/SGI/catman/`basename $FILE`
+#    rman -f html -r "%s.%s.html"  $FILE > ../packaging/SGI/html/$FILE.html
+done
+cd ../packaging/SGI
diff --git a/packaging/SGI/mkprintcap.sh b/packaging/SGI/mkprintcap.sh
new file mode 100755 (executable)
index 0000000..f610e75
--- /dev/null
@@ -0,0 +1,15 @@
+#! /bin/sh
+#
+# create printcap file
+#
+if [ -r /usr/samba/printcap ]
+then
+  cp /usr/samba/printcap /usr/samba/printcap.O
+fi
+
+echo "#" > /usr/samba/printcap
+echo "# Samba printcap file" >> /usr/samba/printcap
+echo "# Alias names are separated by |, any name with spaces is taken as a comment" >> /usr/samba/printcap
+echo "#" >> /usr/samba/printcap
+lpstat -a | sed -e "s/ .*//" >> /usr/samba/printcap
+
diff --git a/packaging/SGI/mkrelease.sh b/packaging/SGI/mkrelease.sh
new file mode 100755 (executable)
index 0000000..03644b2
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# create the catman versions of the manual pages
+#
+echo Making manual pages
+./mkman
+
+# build the sources
+#
+echo Making binaries
+cd ../../source
+# make -f ../packaging/SGI/Makefile clean
+make -f ../packaging/SGI/Makefile all
+cd ../packaging/SGI
+
+# generate the packages
+#
+echo Generating Inst Packages
+
+if [ ! -d bins ]; then
+   mkdir bins
+fi
+
+/usr/sbin/gendist -rbase / -sbase ../.. -idb samba.idb -spec samba.spec -dist ./bins -all
+
diff --git a/packaging/SGI/printcap b/packaging/SGI/printcap
new file mode 100644 (file)
index 0000000..b67b9cb
--- /dev/null
@@ -0,0 +1,5 @@
+#
+# Sample printcap file
+# Alias names are separated by |, any name with spaces is taken as a comment
+#
+lp4js|lp12|LaserJet on the third floor by the coffee machine
diff --git a/packaging/SGI/psfixes.sed b/packaging/SGI/psfixes.sed
new file mode 100644 (file)
index 0000000..cf5ce88
--- /dev/null
@@ -0,0 +1,4 @@
+/^\e%/,/\r/d
+/^%%Title:/s/.\r$/\r/
+/^\/VM?/,/ VM?/c\
+/VM? { pop } def\r
diff --git a/packaging/SGI/relnotes.html b/packaging/SGI/relnotes.html
new file mode 100644 (file)
index 0000000..7114042
--- /dev/null
@@ -0,0 +1,234 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
+<HTML>
+<HEAD>
+   <TITLE>Samba 1.9.17 Release Notes</TITLE>
+   <META NAME="GENERATOR" CONTENT="Mozilla/3.0GoldC-SGI (X11; I; IRIX 6.2 IP22) [Netscape]">
+</HEAD>
+<BODY>
+
+<H1>Samba 1.9.17 Release Notes</H1>
+
+<P>
+<HR></P>
+
+<H2>Table of Contents</H2>
+
+<MENU>
+<LI><B><A HREF="#WHATIS">What is Samba?</A></B> </LI>
+
+<LI><B><A HREF="#Support">Support Policy</A> </B></LI>
+
+<LI><B><A HREF="#Installation">Installation Information</A> </B></LI>
+
+<LI><B><A HREF="legal_notice.html">Silicon
+Graphics Legal Notice</A> </B></LI>
+
+<LI><B><A HREF="#AUTHORNOTES">Author's Notice(s)</A> </B></LI>
+
+<LI><B><A HREF="#Documentation">Documentation Information</A> </B></LI>
+</MENU>
+
+<P>
+<HR></P>
+
+<H2><A NAME="WHATIS"></A>What is Samba?</H2>
+
+<P>Samba is an SMB client and server for Unix. It makes it possible for
+client machines running Windows 95 and Windows for Workgroups to access
+files and/or print services on a Unix system. Samba includes an SMB server
+to provide LanManager-style file and print services to PCs, a Netbios (RFC10001/1002)
+name server, and an FTP-like client application for accessing PC resources
+from Unix. </P>
+
+<P>To make Samba work you'll need to configure your server host to run
+<B>smbd</B> and <B>nmbd</B> whenever you connect to a certain Internet
+port from the client machine. <B>Smbd</B> and <B>nmbd</B> can be started
+either as daemons or from inetd.</P>
+
+<P>By default <B>smbd</B> and <B>nmbd</B> are started as daemons by the
+file <I>/etc/init.d/samba</I> in conjunction with the chkconfig variable
+samba being set to on. If you set chkconfig samba off then the deamons
+will not be automatically started on reboot. In this case you must type
+the following at a shell prompt to start samba after a reboot: </P>
+
+<PRE><B>   chkconfig samba on
+   /etc/init.d/samba start</B>
+</PRE>
+
+<P>If you make changes to your configuration files, <B>smbd</B> and <B>nmbd</B>
+may be restarted by typing the following at a shell prompt: </P>
+
+<PRE><B>   /etc/init.d/samba start</B>
+</PRE>
+
+<P><B>smbd</B> and <B>nmbd</B> may be killed by typing the following at
+a shell prompt: </P>
+
+<PRE><B>   /etc/init.d/samba stop</B>
+</PRE>
+
+<P>To have <B>smbd</B> and <B>nmbd</B> started by inetd you can execute
+the shell script <I>/usr/samba/inetd.sh</I> to automatically configure
+the various files and start the processes. This shell script first kills
+any running <B>smbd</B> and <B>nmbd</B> processes. It then removes any
+existing entries for &quot;netbios*&quot; from <I>/etc/inetd.conf</I> and
+adds the following lines </P>
+
+<PRE><B>    netbios-ssn stream tcp  nowait  root    /usr/samba/bin/smbd smbd
+    netbios-ns  dgram udp   wait    root    /usr/samba/bin/nmbd nmbd -S</B>
+</PRE>
+
+<P>It then removes any existing entries for &quot;netbios*&quot; from <I>/etc/services</I>
+and adds the following lines </P>
+
+<PRE><B>    netbios-ns        137/udp                         # SAMBA
+    netbios-ssn       139/tcp                         # SAMBA</B>
+</PRE>
+
+<P><I>Inetd</I> is then restarted by executing:</P>
+
+<PRE><B>   /etc/killall -HUP inetd</B>
+</PRE>
+
+<P>If you make changes to your configuration files, <B>smbd</B> and <B>nmbd</B>
+may be restarted by typing the following at a shell prompt: </P>
+
+<PRE><B>   /etc/killall smbd nmbd
+   /etc/killall -HUP inetd</B>
+</PRE>
+
+<H3><A NAME="AUTHORNOTES"></A>Author's Notice(s):</H3>
+
+<P>The author of this product is: Andrew Tridgell </P>
+
+<P>Samba is distributed freely under the <A HREF="GNU_COPYING.txt">GNU
+public license</A>. </P>
+
+<H3><A NAME="Support"></A>Support:</H3>
+
+<P>The software in this package is considered unsupported by Silicon Graphics.
+Neither the authors or Silicon Graphics are compelled to help resolve problems
+you may encounter in the installation, setup, or execution of this software.
+To be more to the point, if you call us with an issue regarding products
+in the Freeware package, we'll have to gracefully terminate the call. The
+<A HREF="http://samba.anu.edu.au/pub/samba/">
+Samba Web Page</A> has a listing of companies and individuals that offer
+commercial support for a fee.
+</P>
+
+<H2><A NAME="Installation"></A>Installation Information</H2>
+
+<P>Samba includes these subsystems: </P>
+
+<TABLE>
+<TR>
+<TD ALIGN=LEFT><B>samba.sw.base</B> (<I>default</I>)</TD>
+
+<TD>Execution environment for Samba.</TD>
+</TR>
+
+<TR>
+<TD ALIGN=left><B>samba.man.manpages</B>(<I>default</I>)</TD>
+
+<TD>Samba 1.9.17's online manual pages (preformatted).</TD>
+</TR>
+
+<TR>
+<TD ALIGN=LEFT VALIGN=TOP><B>samba.man.doc</B> (<I>default</I>)</TD>
+
+<TD>Samba documentation: hints on installation and configuration, an FAQ
+(Frequently Asked Questions), help in diagnosing problems, etc..</TD>
+</TR>
+
+<TR>
+<TD ALIGN=left><B>samba.man.relnotes</B> (<I>default</I>) </TD>
+
+<TD>Samba online release notes.</TD>
+</TR>
+
+<TR>
+<TD ALIGN=LEFT VALIGN=TOP><B>samba.src.samba</B> </TD>
+
+<TD>The Samba 1.9.17 software distribution from which this product was
+built (including the packaging/SGI directory which will allow this distribution
+to be rebuilt).</TD>
+</TR>
+</TABLE>
+
+<H3>Installation Method</H3>
+
+<P>All of the subsystems for Samba can be installed using IRIX. You do
+not need to use the miniroot. Refer to the <I>Software Installation Administrator's
+Guide</I> for complete installation instructions. </P>
+
+<H3>Prerequisites</H3>
+
+<P>Your workstation must be running IRIX 5.3 or later in order to use this
+product. </P>
+
+<H3>Configuration Files</H3>
+
+<P>Because configuration files often contain modifications, inst treats
+them specially during the installation process. If they have not been modified,
+inst removes the old file and installs the new version during software
+updates. For configuration files that have been modified, the new version
+is installed and the old version is renamed by adding the suffix .O (for
+older) to the name. The no-suffix version contains changes that are required
+for compatibility with the rest of the newly installed software, that increase
+functionality, or that fix bugs. You should use diff(1) or gdiff(1) to
+compare the two versions of the files and transfer information that you
+recognize as machine or site-specific from the .O version to the no-suffix
+version. </P>
+
+<DL>
+<DT><B>/usr/samba/lib/smb.conf</B> </DT>
+
+<DD>Configuration definitions for the <B>smbd</B> program; the SMB server
+process. The default configuration sets up password-based access to home
+directories on a machine as well as open access to to all printers and
+/tmp. The workgroup is set by default to &quot;workgroup&quot;. It is highly
+recommended that administrators review the content of this file when installing
+Samba for the first time.</DD>
+
+<DT><B>/usr/samba/printcap</B> </DT>
+
+<DD>A file that specifies the available printers on a system. It is included
+as an example; administrators may want to replace it or override the reference
+to it in the <B>smb.conf</B> file. The script <B>/usr/samba/mkprintcap.sh</B>
+was used by inst to create a printcap file that contains all printers on
+your system. You may wish to remove some printers or add a comment to each
+printer name to describe its location.</DD>
+</DL>
+
+<H2><A NAME="Documentation"></A>Documentation Information</H2>
+
+<P>Preformatted manual pages are installed by default as are the contents
+of the <B>docs</B> directory from the Samba distribution; consult <I>samba</I>(7)
+for an introduction. </P>
+
+<P>There is a mailing list for discussion of Samba. To subscribe send mail
+to <A HREF="mailto:listproc@samba.anu.edu.au">listproc@samba.anu.edu.au</A>
+with a body of &quot;subscribe samba Your Name&quot; </P>
+
+<P>To send mail to everyone on the list mail to <A HREF="mailto:samba@samba.anu.edu.au">samba@samba.anu.edu.au</A>.
+</P>
+
+<P>There is also an announcement mailing list where new versions are announced.
+To subscribe send mail to <A HREF="mailto:listproc@samba.anu.edu.au">listproc@samba.anu.edu.au</A>
+with a body of &quot;subscribe samba-announce Your Name&quot;. All announcements
+also go to the samba list. </P>
+
+<P>You might also like to look at the Usenet news group <A HREF="news:comp.protocols.smb">comp.protocols.smb</A>
+as it often contains lots of useful info and is frequented by lots of Samba
+users. The newsgroup was initially setup by people on the Samba mailing
+list. It is not, however, exclusive to Samba, it is a forum for discussing
+the SMB protocol (which Samba implements). </P>
+
+<P>A Samba WWW site has been setup with lots of useful info. Connect to:
+<A HREF="http://samba.anu.edu.au/pub/samba/">http://samba.anu.edu.au/pub/samba/</A>.
+It is maintained by Paul Blackman (thanks Paul!). You can contact him at
+<A HREF="mailto:ictinus@lake.canberra.edu.au">ictinus@lake.canberra.edu.au</A>.
+</P>
+
+</BODY>
+</HTML>
diff --git a/packaging/SGI/samba.config b/packaging/SGI/samba.config
new file mode 100644 (file)
index 0000000..b3d8640
--- /dev/null
@@ -0,0 +1 @@
+on
diff --git a/packaging/SGI/samba.idb b/packaging/SGI/samba.idb
new file mode 100644 (file)
index 0000000..dbf9f3b
--- /dev/null
@@ -0,0 +1,394 @@
+f 0644 root sys etc/config/samba packaging/SGI/samba.config samba.sw.base config(update)
+f 0755 root sys etc/init.d/samba packaging/SGI/samba.rc samba.sw.base
+l 0000 root sys etc/rc0.d/K39samba packaging/SGI samba.sw.base symval(../init.d/samba)
+l 0000 root sys etc/rc2.d/S81samba packaging/SGI samba.sw.base symval(../init.d/samba)
+d 0755 root sys usr/relnotes/samba packaging/SGI samba.man.relnotes
+f 0644 root sys usr/relnotes/samba/GNU_COPYING.txt COPYING samba.man.relnotes
+f 0644 root sys usr/relnotes/samba/legal_notice.html packaging/SGI/legal_notice.html samba.man.relnotes
+f 0644 root sys usr/relnotes/samba/samba-relnotes.html packaging/SGI/relnotes.html samba.man.relnotes
+d 0755 root sys usr/samba packaging/SGI samba.sw.base
+f 0444 root sys usr/samba/README packaging/SGI/README samba.sw.base
+d 0755 root sys usr/samba/bin packaging/SGI samba.sw.base
+f 0755 root sys usr/samba/bin/addtosmbpass source/addtosmbpass samba.sw.base
+f 0775 root sys usr/samba/bin/nmbd source/nmbd samba.sw.base
+f 0755 root sys usr/samba/bin/nmblookup source/nmblookup samba.sw.base
+f 0644 root sys usr/samba/bin/psfixes.sed packaging/SGI/psfixes.sed samba.sw.base
+f 0755 root sys usr/samba/bin/sambalp packaging/SGI/sambalp samba.sw.base
+f 0755 root sys usr/samba/bin/smbclient source/smbclient samba.sw.base
+f 0775 root sys usr/samba/bin/smbd source/smbd samba.sw.base
+f 4555 root sys usr/samba/bin/smbpasswd source/smbpasswd samba.sw.base
+f 0755 root sys usr/samba/bin/smbprint packaging/SGI/smbprint samba.sw.base
+f 0755 root sys usr/samba/bin/smbrun source/smbrun samba.sw.base
+f 0755 root sys usr/samba/bin/smbstatus source/smbstatus samba.sw.base
+f 0755 root sys usr/samba/bin/smbtar source/smbtar samba.sw.base
+f 0775 root sys usr/samba/bin/testparm source/testparm samba.sw.base
+f 0775 root sys usr/samba/bin/testprns source/testprns samba.sw.base
+d 0755 root sys usr/samba/docs docs samba.man.doc
+f 0644 root sys usr/samba/docs/Application_Serving.txt docs/Application_Serving.txt samba.man.doc
+f 0644 root sys usr/samba/docs/BROWSING.txt docs/BROWSING.txt samba.man.doc
+f 0644 root sys usr/samba/docs/BUGS.txt docs/BUGS.txt samba.man.doc
+f 0644 root sys usr/samba/docs/DIAGNOSIS.txt docs/DIAGNOSIS.txt samba.man.doc
+f 0644 root sys usr/samba/docs/DNIX.txt docs/DNIX.txt samba.man.doc
+f 0644 root sys usr/samba/docs/DOMAIN.txt docs/DOMAIN.txt samba.man.doc
+f 0644 root sys usr/samba/docs/DOMAIN_CONTROL.txt docs/DOMAIN_CONTROL.txt samba.man.doc
+f 0644 root sys usr/samba/docs/ENCRYPTION.txt docs/ENCRYPTION.txt samba.man.doc
+f 0644 root sys usr/samba/docs/Faxing.txt docs/Faxing.txt samba.man.doc
+f 0644 root sys usr/samba/docs/GOTCHAS.txt docs/GOTCHAS.txt samba.man.doc
+f 0644 root sys usr/samba/docs/HINTS.txt docs/HINTS.txt samba.man.doc
+f 0644 root sys usr/samba/docs/INSTALL.sambatar docs/INSTALL.sambatar samba.man.doc
+f 0644 root sys usr/samba/docs/MIRRORS docs/MIRRORS samba.man.doc
+f 0644 root sys usr/samba/docs/NT4_PlainPassword.reg docs/NT4_PlainPassword.reg samba.man.doc
+f 0644 root sys usr/samba/docs/NetBIOS.txt docs/NetBIOS.txt samba.man.doc
+f 0644 root sys usr/samba/docs/OS2-Client-HOWTO.txt docs/OS2-Client-HOWTO.txt samba.man.doc
+f 0644 root sys usr/samba/docs/PROJECTS docs/PROJECTS samba.man.doc
+f 0644 root sys usr/samba/docs/Passwords.txt docs/Passwords.txt samba.man.doc
+f 0644 root sys usr/samba/docs/Printing.txt docs/Printing.txt samba.man.doc
+f 0644 root sys usr/samba/docs/README.DCEDFS docs/README.DCEDFS samba.man.doc
+f 0644 root sys usr/samba/docs/README.jis docs/README.jis samba.man.doc
+f 0644 root sys usr/samba/docs/README.sambatar docs/README.sambatar samba.man.doc
+f 0644 root sys usr/samba/docs/SCO.txt docs/SCO.txt samba.man.doc
+f 0644 root sys usr/samba/docs/SMBTAR.notes docs/SMBTAR.notes samba.man.doc
+f 0644 root sys usr/samba/docs/Speed.txt docs/Speed.txt samba.man.doc
+f 0644 root sys usr/samba/docs/Support.txt docs/Support.txt samba.man.doc
+f 0644 root sys usr/samba/docs/THANKS docs/THANKS samba.man.doc
+f 0644 root sys usr/samba/docs/Tracing.txt docs/Tracing.txt samba.man.doc
+f 0644 root sys usr/samba/docs/UNIX-SMB.txt docs/UNIX-SMB.txt samba.man.doc
+f 0644 root sys usr/samba/docs/UNIX_INSTALL.txt docs/UNIX_INSTALL.txt samba.man.doc
+f 0644 root sys usr/samba/docs/Win95.txt docs/Win95.txt samba.man.doc
+f 0644 root sys usr/samba/docs/Win95_PlainPassword.reg docs/Win95_PlainPassword.reg samba.man.doc
+f 0644 root sys usr/samba/docs/WinNT.txt docs/WinNT.txt samba.man.doc
+f 0644 root sys usr/samba/docs/announce docs/announce samba.man.doc
+d 0755 root sys usr/samba/docs/faq docs/faq samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-Server-FAQ-1.html docs/faq/Samba-Server-FAQ-1.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-Server-FAQ-2.html docs/faq/Samba-Server-FAQ-2.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-Server-FAQ.html docs/faq/Samba-Server-FAQ.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-Server-FAQ.sgml docs/faq/Samba-Server-FAQ.sgml samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-meta-FAQ-1.html docs/faq/Samba-meta-FAQ-1.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-meta-FAQ-2.html docs/faq/Samba-meta-FAQ-2.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-meta-FAQ-3.html docs/faq/Samba-meta-FAQ-3.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-meta-FAQ-4.html docs/faq/Samba-meta-FAQ-4.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-meta-FAQ-5.html docs/faq/Samba-meta-FAQ-5.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-meta-FAQ-6.html docs/faq/Samba-meta-FAQ-6.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-meta-FAQ.html docs/faq/Samba-meta-FAQ.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-meta-FAQ.sgml docs/faq/Samba-meta-FAQ.sgml samba.man.doc
+f 0644 root sys usr/samba/docs/faq/Samba-meta-FAQ.txt docs/faq/Samba-meta-FAQ.txt samba.man.doc
+f 0644 root sys usr/samba/docs/faq/sambafaq-1.html docs/faq/sambafaq-1.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/sambafaq-2.html docs/faq/sambafaq-2.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/sambafaq-3.html docs/faq/sambafaq-3.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/sambafaq-4.html docs/faq/sambafaq-4.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/sambafaq-5.html docs/faq/sambafaq-5.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/sambafaq.html docs/faq/sambafaq.html samba.man.doc
+f 0644 root sys usr/samba/docs/faq/sambafaq.sgml docs/faq/sambafaq.sgml samba.man.doc
+f 0644 root sys usr/samba/docs/faq/sambafaq.txt docs/faq/sambafaq.txt samba.man.doc
+f 0644 root sys usr/samba/docs/history docs/history samba.man.doc
+f 0644 root sys usr/samba/docs/internals.doc source/internals.doc samba.man.doc
+f 0644 root sys usr/samba/docs/nameannounce.doc source/nameannounce.doc samba.man.doc
+f 0644 root sys usr/samba/docs/namebrowse.doc source/namebrowse.doc samba.man.doc
+f 0644 root sys usr/samba/docs/namedbname.doc source/namedbname.doc samba.man.doc
+f 0644 root sys usr/samba/docs/namedbresp.doc source/namedbresp.doc samba.man.doc
+f 0644 root sys usr/samba/docs/nameelect.doc source/nameelect.doc samba.man.doc
+f 0644 root sys usr/samba/docs/namelogon.doc source/namelogon.doc samba.man.doc
+f 0644 root sys usr/samba/docs/namepacket.doc source/namepacket.doc samba.man.doc
+f 0644 root sys usr/samba/docs/namequery.doc source/namequery.doc samba.man.doc
+f 0644 root sys usr/samba/docs/nameresp.doc source/nameresp.doc samba.man.doc
+f 0644 root sys usr/samba/docs/nameserv.doc source/nameserv.doc samba.man.doc
+f 0644 root sys usr/samba/docs/nameservreply.doc source/nameservreply.doc samba.man.doc
+f 0644 root sys usr/samba/docs/nameservresp.doc source/nameservresp.doc samba.man.doc
+f 0644 root sys usr/samba/docs/namework.doc source/namework.doc samba.man.doc
+f 0644 root sys usr/samba/docs/nmbd.8 docs/nmbd.8 samba.man.doc
+f 0644 root sys usr/samba/docs/samba.7 docs/samba.7 samba.man.doc
+f 0644 root sys usr/samba/docs/samba.faq docs/samba.faq samba.man.doc
+f 0644 root sys usr/samba/docs/samba.lsm docs/samba.lsm samba.man.doc
+f 0644 root sys usr/samba/docs/security_level.txt docs/security_level.txt samba.man.doc
+f 0644 root sys usr/samba/docs/smb.conf.5 docs/smb.conf.5 samba.man.doc
+f 0644 root sys usr/samba/docs/smbclient.1 docs/smbclient.1 samba.man.doc
+f 0644 root sys usr/samba/docs/smbd.8 docs/smbd.8 samba.man.doc
+f 0644 root sys usr/samba/docs/smbpasswd.8 docs/smbpasswd.8 samba.man.doc
+f 0644 root sys usr/samba/docs/smbrun.1 docs/smbrun.1 samba.man.doc
+f 0644 root sys usr/samba/docs/smbstatus.1 docs/smbstatus.1 samba.man.doc
+f 0644 root sys usr/samba/docs/smbtar.1 docs/smbtar.1 samba.man.doc
+f 0644 root sys usr/samba/docs/testparm.1 docs/testparm.1 samba.man.doc
+f 0644 root sys usr/samba/docs/testprns.1 docs/testprns.1 samba.man.doc
+f 0644 root sys usr/samba/docs/wfw_slip.htm docs/wfw_slip.htm samba.man.doc
+f 0755 root sys usr/samba/inetd.sh packaging/SGI/inetd.sh samba.sw.base
+d 0755 root sys usr/samba/lib packaging/SGI samba.sw.base
+f 0644 root sys usr/samba/lib/smb.conf packaging/SGI/smb.conf samba.sw.base config(update)
+f 0775 root sys usr/samba/mkprintcap.sh packaging/SGI/mkprintcap.sh samba.sw.base exitop(/usr/samba/mkprintcap.sh) removeop(rm /usr/samba/printcap)
+d 0755 root sys usr/samba/src source samba.src.samba
+f 0644 root sys usr/samba/src/COPYING COPYING samba.src.samba
+f 0644 root sys usr/samba/src/Manifest Manifest samba.src.samba
+f 0644 root sys usr/samba/src/README README samba.src.samba
+f 0644 root sys usr/samba/src/Read-Manifest-Now Read-Manifest-Now samba.src.samba
+f 0644 root sys usr/samba/src/Roadmap Roadmap samba.src.samba
+f 0644 root sys usr/samba/src/WHATSNEW.txt WHATSNEW.txt samba.src.samba
+d 0755 root sys usr/samba/src/docs docs samba.src.samba
+f 0644 root sys usr/samba/src/docs/Application_Serving.txt docs/Application_Serving.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/BROWSING.txt docs/BROWSING.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/BUGS.txt docs/BUGS.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/DIAGNOSIS.txt docs/DIAGNOSIS.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/DNIX.txt docs/DNIX.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/DOMAIN.txt docs/DOMAIN.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/DOMAIN_CONTROL.txt docs/DOMAIN_CONTROL.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/ENCRYPTION.txt docs/ENCRYPTION.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/Faxing.txt docs/Faxing.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/GOTCHAS.txt docs/GOTCHAS.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/HINTS.txt docs/HINTS.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/INSTALL.sambatar docs/INSTALL.sambatar samba.src.samba
+f 0644 root sys usr/samba/src/docs/MIRRORS docs/MIRRORS samba.src.samba
+f 0644 root sys usr/samba/src/docs/NT4_PlainPassword.reg docs/NT4_PlainPassword.reg samba.src.samba
+f 0644 root sys usr/samba/src/docs/NetBIOS.txt docs/NetBIOS.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/OS2-Client-HOWTO.txt docs/OS2-Client-HOWTO.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/PROJECTS docs/PROJECTS samba.src.samba
+f 0644 root sys usr/samba/src/docs/Passwords.txt docs/Passwords.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/Printing.txt docs/Printing.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/README.DCEDFS docs/README.DCEDFS samba.src.samba
+f 0644 root sys usr/samba/src/docs/README.jis docs/README.jis samba.src.samba
+f 0644 root sys usr/samba/src/docs/README.sambatar docs/README.sambatar samba.src.samba
+f 0644 root sys usr/samba/src/docs/SCO.txt docs/SCO.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/SMBTAR.notes docs/SMBTAR.notes samba.src.samba
+f 0644 root sys usr/samba/src/docs/Speed.txt docs/Speed.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/Support.txt docs/Support.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/THANKS docs/THANKS samba.src.samba
+f 0644 root sys usr/samba/src/docs/Tracing.txt docs/Tracing.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/UNIX-SMB.txt docs/UNIX-SMB.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/UNIX_INSTALL.txt docs/UNIX_INSTALL.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/Win95.txt docs/Win95.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/Win95_PlainPassword.reg docs/Win95_PlainPassword.reg samba.src.samba
+f 0644 root sys usr/samba/src/docs/WinNT.txt docs/WinNT.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/announce docs/announce samba.src.samba
+d 0755 root sys usr/samba/src/docs/faq docs/faq samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-Server-FAQ-1.html docs/faq/Samba-Server-FAQ-1.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-Server-FAQ-2.html docs/faq/Samba-Server-FAQ-2.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-Server-FAQ.html docs/faq/Samba-Server-FAQ.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-Server-FAQ.sgml docs/faq/Samba-Server-FAQ.sgml samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-meta-FAQ-1.html docs/faq/Samba-meta-FAQ-1.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-meta-FAQ-2.html docs/faq/Samba-meta-FAQ-2.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-meta-FAQ-3.html docs/faq/Samba-meta-FAQ-3.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-meta-FAQ-4.html docs/faq/Samba-meta-FAQ-4.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-meta-FAQ-5.html docs/faq/Samba-meta-FAQ-5.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-meta-FAQ-6.html docs/faq/Samba-meta-FAQ-6.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-meta-FAQ.html docs/faq/Samba-meta-FAQ.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-meta-FAQ.sgml docs/faq/Samba-meta-FAQ.sgml samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/Samba-meta-FAQ.txt docs/faq/Samba-meta-FAQ.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/sambafaq-1.html docs/faq/sambafaq-1.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/sambafaq-2.html docs/faq/sambafaq-2.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/sambafaq-3.html docs/faq/sambafaq-3.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/sambafaq-4.html docs/faq/sambafaq-4.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/sambafaq-5.html docs/faq/sambafaq-5.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/sambafaq.html docs/faq/sambafaq.html samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/sambafaq.sgml docs/faq/sambafaq.sgml samba.src.samba
+f 0644 root sys usr/samba/src/docs/faq/sambafaq.txt docs/faq/sambafaq.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/history docs/history samba.src.samba
+f 0644 root sys usr/samba/src/docs/nmbd.8 docs/nmbd.8 samba.src.samba
+f 0644 root sys usr/samba/src/docs/samba.7 docs/samba.7 samba.src.samba
+f 0644 root sys usr/samba/src/docs/samba.faq docs/samba.faq samba.src.samba
+f 0644 root sys usr/samba/src/docs/samba.lsm docs/samba.lsm samba.src.samba
+f 0644 root sys usr/samba/src/docs/security_level.txt docs/security_level.txt samba.src.samba
+f 0644 root sys usr/samba/src/docs/smb.conf.5 docs/smb.conf.5 samba.src.samba
+f 0644 root sys usr/samba/src/docs/smbclient.1 docs/smbclient.1 samba.src.samba
+f 0644 root sys usr/samba/src/docs/smbd.8 docs/smbd.8 samba.src.samba
+f 0644 root sys usr/samba/src/docs/smbpasswd.8 docs/smbpasswd.8 samba.src.samba
+f 0644 root sys usr/samba/src/docs/smbrun.1 docs/smbrun.1 samba.src.samba
+f 0644 root sys usr/samba/src/docs/smbstatus.1 docs/smbstatus.1 samba.src.samba
+f 0644 root sys usr/samba/src/docs/smbtar.1 docs/smbtar.1 samba.src.samba
+f 0644 root sys usr/samba/src/docs/testparm.1 docs/testparm.1 samba.src.samba
+f 0644 root sys usr/samba/src/docs/testprns.1 docs/testprns.1 samba.src.samba
+f 0644 root sys usr/samba/src/docs/wfw_slip.htm docs/wfw_slip.htm samba.src.samba
+d 0755 root sys usr/samba/src/examples examples samba.src.samba
+f 0664 root sys usr/samba/src/examples/README examples/README samba.src.samba
+d 0755 root sys usr/samba/src/examples/dce-dfs examples/dce-dfs samba.src.samba
+f 0644 root sys usr/samba/src/examples/dce-dfs/README examples/dce-dfs/README samba.src.samba
+f 0644 root sys usr/samba/src/examples/dce-dfs/smb.conf examples/dce-dfs/smb.conf samba.src.samba
+d 0755 root sys usr/samba/src/examples/misc examples/misc samba.src.samba
+f 0644 root sys usr/samba/src/examples/misc/extra_smbstatus examples/misc/extra_smbstatus samba.src.samba
+f 0644 root sys usr/samba/src/examples/misc/wall.perl examples/misc/wall.perl samba.src.samba
+d 0775 root sys usr/samba/src/examples/printer-accounting examples/printer-accounting samba.src.samba
+f 0664 root sys usr/samba/src/examples/printer-accounting/README examples/printer-accounting/README samba.src.samba
+f 0664 root sys usr/samba/src/examples/printer-accounting/acct-all examples/printer-accounting/acct-all samba.src.samba
+f 0664 root sys usr/samba/src/examples/printer-accounting/acct-sum examples/printer-accounting/acct-sum samba.src.samba
+f 0664 root sys usr/samba/src/examples/printer-accounting/hp5-redir examples/printer-accounting/hp5-redir samba.src.samba
+f 0664 root sys usr/samba/src/examples/printer-accounting/lp-acct examples/printer-accounting/lp-acct samba.src.samba
+f 0664 root sys usr/samba/src/examples/printer-accounting/printcap examples/printer-accounting/printcap samba.src.samba
+d 0755 root sys usr/samba/src/examples/printing examples/printing samba.src.samba
+f 0755 root sys usr/samba/src/examples/printing/smbprint examples/printing/smbprint samba.src.samba
+f 0644 root sys usr/samba/src/examples/printing/smbprint.sysv examples/printing/smbprint.sysv samba.src.samba
+d 0755 root sys usr/samba/src/examples/simple examples/simple samba.src.samba
+f 0644 root sys usr/samba/src/examples/simple/README examples/simple/README samba.src.samba
+f 0644 root sys usr/samba/src/examples/simple/smb.conf examples/simple/smb.conf samba.src.samba
+d 0775 root sys usr/samba/src/examples/svr4-startup examples/svr4-startup samba.src.samba
+f 0664 root sys usr/samba/src/examples/svr4-startup/README examples/svr4-startup/README samba.src.samba
+f 0775 root sys usr/samba/src/examples/svr4-startup/samba.server examples/svr4-startup/samba.server samba.src.samba
+d 0755 root sys usr/samba/src/examples/thoralf examples/thoralf samba.src.samba
+f 0644 root sys usr/samba/src/examples/thoralf/smb.conf examples/thoralf/smb.conf samba.src.samba
+d 0755 root sys usr/samba/src/examples/tridge examples/tridge samba.src.samba
+f 0644 root sys usr/samba/src/examples/tridge/README examples/tridge/README samba.src.samba
+f 0644 root sys usr/samba/src/examples/tridge/smb.conf examples/tridge/smb.conf samba.src.samba
+f 0644 root sys usr/samba/src/examples/tridge/smb.conf.WinNT examples/tridge/smb.conf.WinNT samba.src.samba
+f 0644 root sys usr/samba/src/examples/tridge/smb.conf.fjall examples/tridge/smb.conf.fjall samba.src.samba
+f 0644 root sys usr/samba/src/examples/tridge/smb.conf.lapland examples/tridge/smb.conf.lapland samba.src.samba
+f 0644 root sys usr/samba/src/examples/tridge/smb.conf.vittjokk examples/tridge/smb.conf.vittjokk samba.src.samba
+d 0775 root sys usr/samba/src/examples/validchars examples/validchars samba.src.samba
+f 0664 root sys usr/samba/src/examples/validchars/msdos70.out examples/validchars/msdos70.out samba.src.samba
+f 0664 root sys usr/samba/src/examples/validchars/nwdos70.out examples/validchars/nwdos70.out samba.src.samba
+f 0664 root sys usr/samba/src/examples/validchars/readme examples/validchars/readme samba.src.samba
+f 0664 root sys usr/samba/src/examples/validchars/validchr.c examples/validchars/validchr.c samba.src.samba
+f 0664 root sys usr/samba/src/examples/validchars/validchr.com examples/validchars/validchr.com samba.src.samba
+d 0755 root sys usr/samba/src/packaging packaging samba.src.samba
+f 0644 root sys usr/samba/src/packaging/README packaging/README samba.src.samba
+d 0755 root sys usr/samba/src/packaging/SGI packaging/SGI samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/Makefile packaging/SGI/Makefile samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/README packaging/SGI/README samba.src.samba
+f 0755 root sys usr/samba/src/packaging/SGI/inetd.sh packaging/SGI/inetd.sh samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/legal_notice.html packaging/SGI/legal_notice.html samba.src.samba
+f 0755 root sys usr/samba/src/packaging/SGI/mkman packaging/SGI/mkman samba.src.samba
+f 0755 root sys usr/samba/src/packaging/SGI/mkprintcap.sh packaging/SGI/mkprintcap.sh samba.src.samba
+f 0755 root sys usr/samba/src/packaging/SGI/mkrelease.sh packaging/SGI/mkrelease.sh samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/printcap packaging/SGI/printcap samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/psfixes.sed packaging/SGI/psfixes.sed samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/relnotes.html packaging/SGI/relnotes.html samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/samba.config packaging/SGI/samba.config samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/samba.idb packaging/SGI/samba.idb samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/samba.rc packaging/SGI/samba.rc samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/samba.spec packaging/SGI/samba.spec samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/sambalp packaging/SGI/sambalp samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/smb.conf packaging/SGI/smb.conf samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/smbpasswd packaging/SGI/smbpasswd samba.src.samba
+f 0644 root sys usr/samba/src/packaging/SGI/smbprint packaging/SGI/smbprint samba.src.samba
+d 0755 root sys usr/samba/src/packaging/redhat packaging/redhat samba.src.samba
+f 0644 root sys usr/samba/src/packaging/redhat/Instructions packaging/redhat/Instructions samba.src.samba
+f 0755 root sys usr/samba/src/packaging/redhat/makeldirp.sh packaging/redhat/makeldirs.sh samba.src.samba
+f 0755 root sys usr/samba/src/packaging/redhat/makerpms.sh packaging/redhat/makerpms.sh samba.src.samba
+f 0644 root sys usr/samba/src/packaging/redhat/samba-axp.patch packaging/redhat/samba-axp.patch samba.src.samba
+f 0644 root sys usr/samba/src/packaging/redhat/samba-make.patch packaging/redhat/samba-make.patch samba.src.samba
+f 0644 root sys usr/samba/src/packaging/redhat/samba.log packaging/redhat/samba.log samba.src.samba
+f 0644 root sys usr/samba/src/packaging/redhat/samba.pamd packaging/redhat/samba.pamd samba.src.samba
+f 0644 root sys usr/samba/src/packaging/redhat/samba.spec packaging/redhat/samba.spec samba.src.samba
+f 0644 root sys usr/samba/src/packaging/redhat/smb.conf packaging/redhat/smb.conf samba.src.samba
+f 0755 root sys usr/samba/src/packaging/redhat/smb.init packaging/redhat/smb.init samba.src.samba
+f 0755 root sys usr/samba/src/packaging/redhat/smbprint packaging/redhat/smbprint samba.src.samba
+d 0755 root sys usr/samba/src/source source samba.src.samba
+f 0644 root sys usr/samba/src/source/Makefile source/Makefile samba.src.samba
+f 0644 root sys usr/samba/src/source/Makefile.OS2 source/Makefile.OS2 samba.src.samba
+f 0644 root sys usr/samba/src/source/access.c source/access.c samba.src.samba
+f 0644 root sys usr/samba/src/source/addtosmbpass source/addtosmbpass samba.src.samba
+f 0644 root sys usr/samba/src/source/byteorder.h source/byteorder.h samba.src.samba
+f 0644 root sys usr/samba/src/source/change-log source/change-log samba.src.samba
+f 0644 root sys usr/samba/src/source/charcnv.c source/charcnv.c samba.src.samba
+f 0644 root sys usr/samba/src/source/charset.c source/charset.c samba.src.samba
+f 0644 root sys usr/samba/src/source/charset.h source/charset.h samba.src.samba
+f 0644 root sys usr/samba/src/source/checkos.sh source/checkos.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/chgpasswd.c source/chgpasswd.c samba.src.samba
+f 0644 root sys usr/samba/src/source/client.c source/client.c samba.src.samba
+f 0644 root sys usr/samba/src/source/clientutil.c source/clientutil.c samba.src.samba
+f 0644 root sys usr/samba/src/source/clitar.c source/clitar.c samba.src.samba
+f 0644 root sys usr/samba/src/source/clitar.h source/clitar.h samba.src.samba
+f 0644 root sys usr/samba/src/source/dir.c source/dir.c samba.src.samba
+f 0644 root sys usr/samba/src/source/fault.c source/fault.c samba.src.samba
+f 0644 root sys usr/samba/src/source/getsmbpass.c source/getsmbpass.c samba.src.samba
+f 0644 root sys usr/samba/src/source/includes.h source/includes.h samba.src.samba
+f 0644 root sys usr/samba/src/source/installbin.sh source/installbin.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/installman.sh source/installman.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/installscripts.sh source/installscripts.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/interface.c source/interface.c samba.src.samba
+f 0644 root sys usr/samba/src/source/internals.doc source/internals.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/ipc.c source/ipc.c samba.src.samba
+f 0644 root sys usr/samba/src/source/kanji.c source/kanji.c samba.src.samba
+f 0644 root sys usr/samba/src/source/kanji.h source/kanji.h samba.src.samba
+f 0644 root sys usr/samba/src/source/loadparm.c source/loadparm.c samba.src.samba
+f 0644 root sys usr/samba/src/source/local.h source/local.h samba.src.samba
+f 0644 root sys usr/samba/src/source/locking.c source/locking.c samba.src.samba
+f 0644 root sys usr/samba/src/source/mangle.c source/mangle.c samba.src.samba
+f 0644 root sys usr/samba/src/source/md4.c source/md4.c samba.src.samba
+f 0644 root sys usr/samba/src/source/md4.h source/md4.h samba.src.samba
+f 0644 root sys usr/samba/src/source/message.c source/message.c samba.src.samba
+f 0644 root sys usr/samba/src/source/mkproto.awk source/mkproto.awk samba.src.samba
+f 0644 root sys usr/samba/src/source/mksmbpasswd.sh source/mksmbpasswd.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/nameannounce.c source/nameannounce.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nameannounce.doc source/nameannounce.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/namebrowse.c source/namebrowse.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namebrowse.doc source/namebrowse.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/nameconf.c source/nameconf.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namedbname.c source/namedbname.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namedbname.doc source/namedbname.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/namedbresp.c source/namedbresp.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namedbresp.doc source/namedbresp.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/namedbserver.c source/namedbserver.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namedbsubnet.c source/namedbsubnet.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namedbwork.c source/namedbwork.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nameelect.c source/nameelect.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nameelect.doc source/nameelect.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/namelogon.c source/namelogon.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namelogon.doc source/namelogon.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/namepacket.c source/namepacket.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namepacket.doc source/namepacket.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/namequery.c source/namequery.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namequery.doc source/namequery.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/nameresp.c source/nameresp.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nameresp.doc source/nameresp.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/nameserv.c source/nameserv.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nameserv.doc source/nameserv.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/nameserv.h source/nameserv.h samba.src.samba
+f 0644 root sys usr/samba/src/source/nameservreply.c source/nameservreply.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nameservreply.doc source/nameservreply.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/nameservresp.c source/nameservresp.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nameservresp.doc source/nameservresp.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/namework.c source/namework.c samba.src.samba
+f 0644 root sys usr/samba/src/source/namework.doc source/namework.doc samba.src.samba
+f 0644 root sys usr/samba/src/source/nmbd.c source/nmbd.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nmblib.c source/nmblib.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nmblookup.c source/nmblookup.c samba.src.samba
+f 0644 root sys usr/samba/src/source/nmbsync.c source/nmbsync.c samba.src.samba
+f 0644 root sys usr/samba/src/source/params.c source/params.c samba.src.samba
+f 0644 root sys usr/samba/src/source/password.c source/password.c samba.src.samba
+f 0644 root sys usr/samba/src/source/pcap.c source/pcap.c samba.src.samba
+f 0644 root sys usr/samba/src/source/pipes.c source/pipes.c samba.src.samba
+f 0644 root sys usr/samba/src/source/predict.c source/predict.c samba.src.samba
+f 0644 root sys usr/samba/src/source/printing.c source/printing.c samba.src.samba
+f 0644 root sys usr/samba/src/source/proto.h source/proto.h samba.src.samba
+f 0644 root sys usr/samba/src/source/quotas.c source/quotas.c samba.src.samba
+f 0644 root sys usr/samba/src/source/replace.c source/replace.c samba.src.samba
+f 0644 root sys usr/samba/src/source/reply.c source/reply.c samba.src.samba
+f 0644 root sys usr/samba/src/source/revert.sh source/revert.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/server.c source/server.c samba.src.samba
+f 0644 root sys usr/samba/src/source/shmem.c source/shmem.c samba.src.samba
+f 0644 root sys usr/samba/src/source/smb.h source/smb.h samba.src.samba
+f 0644 root sys usr/samba/src/source/smbencrypt.c source/smbencrypt.c samba.src.samba
+f 0644 root sys usr/samba/src/source/smbpass.c source/smbpass.c samba.src.samba
+f 0644 root sys usr/samba/src/source/smbpasswd.c source/smbpasswd.c samba.src.samba
+f 0644 root sys usr/samba/src/source/smbrun.c source/smbrun.c samba.src.samba
+f 0644 root sys usr/samba/src/source/smbtar source/smbtar samba.src.samba
+f 0644 root sys usr/samba/src/source/status.c source/status.c samba.src.samba
+f 0644 root sys usr/samba/src/source/system.c source/system.c samba.src.samba
+f 0644 root sys usr/samba/src/source/testparm.c source/testparm.c samba.src.samba
+f 0644 root sys usr/samba/src/source/testprns.c source/testprns.c samba.src.samba
+f 0644 root sys usr/samba/src/source/time.c source/time.c samba.src.samba
+f 0644 root sys usr/samba/src/source/trans2.c source/trans2.c samba.src.samba
+f 0644 root sys usr/samba/src/source/trans2.h source/trans2.h samba.src.samba
+f 0644 root sys usr/samba/src/source/ufc.c source/ufc.c samba.src.samba
+f 0644 root sys usr/samba/src/source/uid.c source/uid.c samba.src.samba
+f 0644 root sys usr/samba/src/source/uninstallbin.sh source/uninstallbin.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/uninstallman.sh source/uninstallman.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/uninstallscripts.sh source/uninstallscripts.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/updatesmbpasswd.sh source/updatesmbpasswd.sh samba.src.samba
+f 0644 root sys usr/samba/src/source/username.c source/username.c samba.src.samba
+f 0644 root sys usr/samba/src/source/util.c source/util.c samba.src.samba
+f 0644 root sys usr/samba/src/source/version.h source/version.h samba.src.samba
+f 0644 root sys usr/samba/src/source/vt_mode.c source/vt_mode.c samba.src.samba
+f 0644 root sys usr/samba/src/source/vt_mode.h source/vt_mode.h samba.src.samba
+d 0775 root sys usr/samba/var/locks packaging/SGI samba.sw.base
+d 0755 root sys usr/share/catman/u_man packaging/SGI/catman samba.man.manpages
+d 0755 root sys usr/share/catman/u_man/cat1 packaging/SGI/catman samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat1/smbclient.1.Z packaging/SGI/catman/smbclient.1.Z samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat1/smbrun.1.Z packaging/SGI/catman/smbrun.1.Z samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat1/smbstatus.1.Z packaging/SGI/catman/smbstatus.1.Z samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat1/smbtar.1.Z packaging/SGI/catman/smbtar.1.Z samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat1/testparm.1.Z packaging/SGI/catman/testparm.1.Z samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat1/testprns.1.Z packaging/SGI/catman/testprns.1.Z samba.man.manpages
+d 0755 root sys usr/share/catman/u_man/cat5 packaging/SGI/catman samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat5/smb.conf.5.Z packaging/SGI/catman/smb.conf.5.Z samba.man.manpages
+d 0755 root sys usr/share/catman/u_man/cat7 packaging/SGI/catman samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat7/samba.7.Z packaging/SGI/catman/samba.7.Z samba.man.manpages
+d 0755 root sys usr/share/catman/u_man/cat8 packaging/SGI/catman samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat8/nmbd.8.Z packaging/SGI/catman/nmbd.8.Z samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat8/smbd.8.Z packaging/SGI/catman/smbd.8.Z samba.man.manpages
+f 0664 root sys usr/share/catman/u_man/cat8/smbpasswd.8.Z packaging/SGI/catman/smbpasswd.8.Z samba.man.manpages
diff --git a/packaging/SGI/samba.rc b/packaging/SGI/samba.rc
new file mode 100644 (file)
index 0000000..121b340
--- /dev/null
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+#
+# Samba server control
+#
+
+IS_ON=/etc/chkconfig
+KILLALL=/sbin/killall
+
+SAMBAD=/usr/samba/bin/smbd
+#SAMBA_OPTS=-d2
+NMBD=/usr/samba/bin/nmbd
+#NMBD_OPTS=-d1
+
+if test ! -x $IS_ON ; then
+    IS_ON=true
+fi
+
+if $IS_ON verbose ; then
+    ECHO=echo
+else           # For a quiet startup and shutdown
+    ECHO=:
+fi
+
+case $1 in
+'start')
+       if $IS_ON samba && test -x $SAMBAD; then
+           $KILLALL -15 smbd nmbd
+           $ECHO "Samba:\c"
+           $SAMBAD $SAMBA_OPTS -D; $ECHO " smbd\c"
+           $NMBD $NMBD_OPTS -D; $ECHO " nmbd\c"
+           $ECHO "."
+       fi
+       ;;
+'stop')
+       $ECHO "Stopping Samba Servers."
+       $KILLALL -15 smbd nmbd
+       ;;
+*)
+       echo "usage: /etc/init.d/samba {start|stop}"
+       ;;
+esac
diff --git a/packaging/SGI/samba.spec b/packaging/SGI/samba.spec
new file mode 100644 (file)
index 0000000..1940e93
--- /dev/null
@@ -0,0 +1,45 @@
+product samba
+    id "Samba version 1.9.17"
+    image sw
+        id "Samba Execution Environment"
+        version 0109170006
+        order 0
+        subsys base default
+            id "Samba Execution Environment"
+            replaces fw_samba.sw.base 0 9999999999
+            replaces fw_samba.sw.samba 0 9999999999
+            exp samba.sw.base
+        endsubsys
+    endimage
+    image man
+        id "Samba Online Documentation"
+        version 0109170006
+        order 1
+        subsys manpages default
+            id "Samba Man Page"
+            replaces fw_samba.man.manpages 0 9999999999
+            replaces fw_samba.man.samba 0 9999999999
+            exp samba.man.manpages
+        endsubsys
+        subsys doc default
+            id "Samba Documentation"
+            replaces fw_samba.man.doc 0 9999999999
+            exp samba.man.doc
+        endsubsys
+        subsys relnotes default
+            id "Samba Release Notes"
+            replaces fw_samba.man.relnotes 0 9999999999
+            exp samba.man.relnotes
+        endsubsys
+    endimage
+    image src
+        id "Samba Source Code"
+        version 0109170006
+        order 2
+        subsys samba
+            id "Samba Source Code"
+            replaces fw_samba.src.samba 0 9999999999
+            exp samba.src.samba
+        endsubsys
+    endimage
+endproduct
diff --git a/packaging/SGI/sambalp b/packaging/SGI/sambalp
new file mode 100644 (file)
index 0000000..d7c6be2
--- /dev/null
@@ -0,0 +1,21 @@
+#! /bin/sh
+#
+# Workaround Win95 printer driver/Impressario bug by removing
+# the PS check for available virtual memory.  Note that this
+# bug appears to be in all Win95 print drivers that generate
+# PostScript; but is for certain there with a QMS-PS 810 (the
+# printer type I configure on the Win95-side for printing with
+# Samba).
+#
+# the sed script fixes 3 different bugs. The first line removes
+# the JCL statements added by some HP printer drivers to the
+# beginning of the postscript output. The second line fixes a
+# bug in output from word files with long filenames. A non-printing
+# character added to the end of the title comment by word is 
+# removed. The third and fourth lines are the VM fix described
+# above.
+#
+TITLE="$3 on $4"
+
+sed -f /usr/samba/bin/psfixes.sed $2 | /usr/bin/lp -c -d$1 -t"$TITLE"
+rm $2
diff --git a/packaging/SGI/smb.conf b/packaging/SGI/smb.conf
new file mode 100644 (file)
index 0000000..178231d
--- /dev/null
@@ -0,0 +1,84 @@
+; Configuration file for smbd.
+; ============================================================================
+; For the format of this file and comprehensive descriptions of all the
+; configuration option, please refer to the man page for smb.conf(5).
+
+; This is a sample configuration for IRIX 6.x systems
+;
+; The following configuration should suit most systems for basic usage and 
+; initial testing. It gives all clients access to their home directories and
+; allows access to all printers specified in /etc/printcap as well as /usr/tmp.
+;
+[global]
+   comment = Samba %v
+   workgroup = workgroup
+   printing = sysv
+;
+; A printcap file is created during installation that contains the names
+; of all printers attached to your system. Names longer than 8 characters
+; will not be visible to clients.
+;
+   printcap name = /usr/samba/printcap
+;
+; If you are using Impressario then you'll want to use the
+; sambalp script provided with this package.  It works around
+; a problem in the PostScript generated by the standard Windows
+; drivers--there is a check to verify sufficient virtual memory
+; is available in the printer to print the job, but this fails
+; under Impressario because of a bug in Impressario.  The sambalp
+; script strips out the vmstatus check.  BTW, when using this
+; setup to print be sure to configure a Windows printer driver
+; that generates PostScript--QMS-PS 810 is one that should work
+; with the sambalp script.
+;
+   print command = /usr/samba/bin/sambalp %p %s %U %m
+   load printers = yes
+   guest account = nobody
+   browseable = yes
+
+;  Set a max size for log files in Kb
+   log file = /usr/samba/var
+   max log size = 50
+
+;  You will need a world readable lock directory and "share modes=yes"
+;  if you want to support the file sharing modes for multiple users
+;  of the same files
+   locking = yes
+   lock directory = /usr/samba/var/locks
+   share modes = yes
+
+;   security = user
+
+;  You need to test to see if this makes a difference on your system
+   socket options = TCP_NODELAY
+
+;  Set the os level to > 32 if there is no NT server for your workgroup
+   os level = 0
+   preferred master = no
+   domain master = no
+   local master = no
+   wins support = no
+   wins server = 
+
+   preserve case = yes
+   short preserve case = yes
+
+[homes]
+   comment = Home Directories
+   browseable = no
+   writable = yes
+
+[printers]
+   comment = All Printers
+   path = /usr/tmp
+   browseable = no
+   printable = yes
+   public = yes
+   writable = no
+   create mask = 0700
+
+[tmp]
+  comment = Temporary file space
+  path = /usr/tmp
+  read only = no
+  public = yes
diff --git a/packaging/SGI/smbpasswd b/packaging/SGI/smbpasswd
new file mode 100644 (file)
index 0000000..79c834d
--- /dev/null
@@ -0,0 +1 @@
+username:uid:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX:Long name:user home dir:user shell
diff --git a/packaging/SGI/smbprint b/packaging/SGI/smbprint
new file mode 100644 (file)
index 0000000..935f98b
--- /dev/null
@@ -0,0 +1,52 @@
+#!/bin/sh
+#
+# @(#) smbprint.sysv version 1.0 Ross Wakelin <r.wakelin@march.co.uk>
+#
+#      Version 1.0 13 January 1995
+#              modified from the original smbprint (bsd) script
+#
+# this script is a System 5 printer interface script. It 
+# uses the smbclient program to print the file to the specified smb-based 
+# server and service. 
+# 
+# To add this to your lp system, copy this file into your samba directory 
+# (the example here is /opt/samba), modify the server and service variables 
+# and then execute the following command (as root) 
+#
+# lpadmin -punixprintername -v/dev/null -i/opt/samba/smbprint 
+# 
+# where        unixprintername is the name that the printer will be known as 
+# on your unix box. 
+# 
+# the script smbprint will be copied into your printer administration 
+# directory (/usr/lib/lp or /etc/lp) as a new interface 
+# (interface/unixprintername)
+# Then you have to enable unixprintername and accept unixprintername
+#
+# This script will then be called by the lp service to print the files
+# This script will have 6 or more parameters passed to it by the lp service.
+# The first five will contain details of the print job, who queued it etc,
+# while parameters 6 onwards are a list of files to print.  We just
+# cat these at the samba client.
+#
+# Set these to the server and service you wish to print to 
+# In this example I have a WfWg PC called "lapland" that has a printer 
+# exported called "printer" with no password.
+#
+# clear out the unwanted parameters
+shift;shift;shift;shift;shift
+# now the argument list is just the files to print
+
+server=admin
+service=hplj2
+password=""
+
+(
+# NOTE You may wish to add the line `echo translate' if you want automatic
+# CR/LF translation when printing.
+       echo translate
+       echo "print -"
+       cat $*
+) | /usr/samba/bin/smbclient "\\\\$server\\$service" $password -N -P  > /dev/null
+exit $?
+